#include <iostream>
using namespace std;


int main() {

	int base, step;
	cout << "Base of the progression: ";
	cin >> base;
	
	cout << "Step of the progression: ";
	cin >> step;

	int n;
	cout << "Number of elements: ";
	cin >> n;

	int i = 0;
	int element = base;

	cout << "Progression: ";
	while(i < n) {
		cout << element << " ";
		element += step;
		++i;
	}

	cout << endl;

	return 0;
}
